function love.load()
  visier = {radius = 50, linieWag = 50, linieSenk = 50}
  
  hintergrund = love.graphics.newImage("images/hintergrund.jpg")
  orange = love.graphics.newImage("images/orange.png")
  logo = love.graphics.newImage("images/Logo.oy")
  info = love.graphics.newImage("images/info.png")
  hintergrund1 = love.graphics.newImage("images/hintergrund1.jpg")
  playB = love.graphics.newImage("images/playbutton.png")
  
  font = love.graphics.newFont("mainfont.ttf", 35)
  
  music = love.audio.newSource("sounds/epic-music.mp3")
  
  mausX = 0
  mausY = 0
  
  spielstand = "start"
end

function love.draw()
   if spielstand == "start" then
    music:play()
    love.graphics.draw( hintergrund1)
    love.graphics.draw(playB, 372,282)
    love.graphics.draw(logo,310,450)
    love.graphics.draw(info,10,10)
    zeichneName()
  end
  
  
  if spielstand == "on" then
    love.graphics.draw(hintergrund, 0, 0)
    love.graphics.draw(orange, 50, 50)
    zeichneVisier(visier)
  end
end

function love.update(dt)
  mausX = love.mouse.getX()
  mausY = love.mouse.getY()
end

function love.keypressed(key)
  if key == "space" then
    spielstand = "on"
  end
end

function zeichneVisier()
  love.graphics.setColor(154,205,50)
  love.graphics.arc( "line", mausX, mausY, 50, 100, math.pi )
  love.graphics.line(mausX-50,mausY, mausX+50,mausY)
  love.graphics.line(mausX,mausY-50, mausX,mausY+50)
  love.graphics.setColor(255,255,255)
end

function zeichneName()
  love.graphics.setColor(255,128,0)
	love.graphics.setFont(font);
	love.graphics.print("ANNOYING ORANGE", 70, 180);
  love.graphics.setColor(255,255,255)
end